Skip to main content
PATCH
/
knowledgeSource
/
websiteConnector
/
{id}
Update a website connector
curl --request PATCH \
  --url https://demo.enneo.ai/api/mind/knowledgeSource/websiteConnector/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "maxPages": 123,
  "includePaths": [
    "<string>"
  ],
  "excludePaths": [
    "<string>"
  ],
  "addExcludePaths": [
    "<string>"
  ],
  "removeExcludePaths": [
    "<string>"
  ],
  "scheduleEnabled": true,
  "frequency": "daily"
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT-based authentication

Path Parameters

id
integer
required

Body

application/json
name
string
description
string
maxPages
integer
includePaths
string[]
excludePaths
string[]

Full replace of the connector's excludePaths. Mutually exclusive with addExcludePaths/removeExcludePaths.

addExcludePaths
string[]

Paths to append to the current excludePaths (set-union, deduped). Mutually exclusive with excludePaths.

removeExcludePaths
string[]

Paths to remove from the current excludePaths (set-difference). Mutually exclusive with excludePaths.

scheduleEnabled
boolean
frequency
enum<string>
Available options:
daily,
weekly

Response

Successful operation

Data format of Enneo success messages

success
boolean

Operation was successful

Example:

true